#include <FastLED.h>
int distance = 0,Ultrasonic_Pin = 27, Button_pin = 18, Buzzer_pin = 33;
CRGB ultrasonic_leds[6];
void setup() {
  Serial.begin(9600);
  ledcAttachPin(Buzzer_pin, 2);
  FastLED.addLeds<WS2812, 26, GRB>(ultrasonic_leds, 6);
  FastLED.setBrightness(255);
  while (digitalRead(Button_pin) == 1);
}

void Get_Distance() {
  pinMode(Ultrasonic_Pin, OUTPUT);
  digitalWrite(Ultrasonic_Pin, HIGH);
  delayMicroseconds(20);
  digitalWrite(Ultrasonic_Pin, LOW);
  pinMode(Ultrasonic_Pin, INPUT);
  int Time_Echo_us = pulseIn(Ultrasonic_Pin, HIGH);
  distance = Time_Echo_us / 58;
}
void loop() {
  Get_Distance();
  Serial.println(distance);
  if ( distance > 2 && distance < 20) {
    fill_solid(ultrasonic_leds, 6, CRGB::Red);
    FastLED.show();
    ledcWriteTone(2, 294);
    delay(100);
  }
  else {
    fill_solid(ultrasonic_leds, 6, CRGB::Green);
    FastLED.show();
    ledcWriteTone(2, 0);
  }
}
