#include <FastLED.h>
CRGB leds[4];
CRGB myRGBcolor(0, 0, 0);
int Button_pin = 18;

void setup() {
  FastLED.addLeds<WS2812, 25, GRB>(leds, 4);
  FastLED.setBrightness(255);
  for (int i = 12; i <= 15; i++) {
    ledcSetup(i, 5000, 8);
    ledcAttachPin(i, i);
  }
  while (digitalRead(Button_pin) == 1);
}
void motor(int L1, int L2 , int R1, int R2) {
  ledcWrite(12, L1);
  ledcWrite(13, L2);
  ledcWrite(14, R1);
  ledcWrite(15, R2);
}

void loop() {
  int Speed=100;
  for (int t = 0; t <= 10; t++) {
    for (int i = 0; i <= 3; i++) {
      motor(0, Speed, Speed, 0);
      myRGBcolor.r = random(0, 255);           //The random brightness of the red light is 0-255
      myRGBcolor.g = random(0, 255);
      myRGBcolor.b = random(0, 255);
      leds[i] = myRGBcolor;
      FastLED.show();                          //Display
      delay(50);
      leds[i] = CRGB::Black;                   //Display black, that is, turn off the light
      FastLED.show();
      delay(50);
    }
  }
  for (int t = 0; t <= 10; t++) {
    for (int i = 0; i <= 3; i++) {
      motor(Speed,0,0,Speed);
      myRGBcolor.r = random(0, 255);           //The random brightness of the red light is 0-255
      myRGBcolor.g = random(0, 255);
      myRGBcolor.b = random(0, 255);
      leds[i] = myRGBcolor;
      FastLED.show();                          //Display
      delay(50);
      leds[i] = CRGB::Black;                   //Display black, that is, turn off the light
      FastLED.show();
      delay(50);
    }
  }
}
