#define  G4 392
#define  A4 440
#define  B4 494
#define  C5 523
#define  D5 587
#define  E5 659
#define  F5 698
#define  G5 784
int Buzzer_pin = 33, freq = 2000, Channel = 2, resolution = 8, Button_pin = 18;
int Tone[] = { B4, B4, B4, B4, B4, B4,
               B4, D5, G4, A4, B4, C5,
               C5, C5, C5, C5, B4, B4, B4, D5,
               D5, C5, A4, G4, G5
             };
float Time[] = {0.25, 0.25, 0.5, 0.25, 0.25, 0.5,
                0.25, 0.25, 0.375, 0.125, 1, 0.25,
                0.25, 0.25, 0.25, 0.25, 0.25, 0.25, 0.25, 0.25,
                0.25, 0.25, 0.25, 0.5, 0.5
               };
int Tone_length = sizeof(Tone) / sizeof(Tone[0]);
void setup() {
  ledcSetup(Channel, freq, resolution);
  ledcAttachPin(Buzzer_pin, Channel);
  pinMode(Button_pin, INPUT);
  while (digitalRead(Button_pin) == 1);
}
void loop() {
  for (int i = 0; i < Tone_length; i++) {
    ledcWriteTone(Channel, Tone[i]);
    delay(Time[i] * 1000);
    ledcWrite(Channel, 0);
  }
}
