int Ultrasonic_Pin = 27, Button_pin = 18;
int Time_Echo_us, distance;
void Get_Distance(){
  pinMode(Ultrasonic_Pin, OUTPUT);
  digitalWrite(Ultrasonic_Pin, HIGH);
  delayMicroseconds(20);
  digitalWrite(Ultrasonic_Pin, LOW);
  pinMode(Ultrasonic_Pin, INPUT);
  Time_Echo_us = pulseIn(Ultrasonic_Pin, HIGH);
  distance = Time_Echo_us / 58;
}
void setup() {
  Serial.begin(9600);
  for (int i = 12; i <= 15; i++) {    
    ledcSetup(i, 255, 8);             
    ledcAttachPin(i, i);              
  }
  while (digitalRead(Button_pin) == 1);
}
void motor(int L1, int L2 , int R1, int R2) {
  ledcWrite(12, L1);
  ledcWrite(13, L2);
  ledcWrite(14, R1);
  ledcWrite(15, R2);
}
void Obstacle_Avoidance(){
  motor(0, 150, 150, 0);
  delay(250);
  motor(0, 0, 0, 0);
  delay(500);
  Get_Distance();
  int distance_left = distance;
  motor(150, 0, 0, 150);
  delay(500);
  motor(0, 0, 0, 0);
  delay(500);
  Get_Distance();
  int distance_right = distance;
  motor(0, 150, 150, 0);
  delay(250);
  motor(0, 0, 0, 0);
  delay(500);
  if (distance_left < 10 && distance_right < 10){
    motor(150, 0, 0, 150);
    delay(500);
  }else{
    if (distance_left > distance_right){
      motor(0, 150, 150, 0);
      delay(250);
    }else{
      motor(150, 0, 0, 150);
      delay(250);
    }
  }
}
void loop() {
  Get_Distance();
  if (distance < 10){
    Obstacle_Avoidance();
  } 
  motor(150, 0, 150, 0);
}
